## graphene 1.8.0

=== meson_options.txt ===
option('gtk_doc', type: 'boolean',
       value: false,
       description: 'Enable generating the API reference (depends on GTK-Doc)')
option('gobject_types', type: 'boolean',
       value: true,
       description: 'Enable GObject types (depends on GObject)')
option('introspection', type: 'boolean',
       value: true,
       description: 'Enable GObject Introspection (depends on GObject)')
option('gcc_vector', type: 'boolean',
       value: true,
       description: 'Enable GCC vector fast paths (requires GCC)')
option('sse2', type: 'boolean',
       value: true,
       description: 'Enable SSE2 fast paths (requires SSE2 or later)')
option('arm_neon', type: 'boolean',
       value: true,
       description: 'Enable ARM NEON fast paths (requires ARM)')
option('tests', type: 'boolean',
       value: true,
       description: 'Build the test suite (requires GObject)')
option('benchmarks', type: 'boolean',
       value: true,
       description: 'Build the benchmarks suite (requires GObject)')

## graphene 1.5.4

=== debian/changelog ===
graphene (1.5.4-0ubuntu3) zesty; urgency=medium

  * Use --disable-arm-neon on armhf to fix build (upstream issue 97)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Feb 2017 11:09:42 -0500

graphene (1.5.4-0ubuntu2) zesty; urgency=medium

  * Use --disable-sse2 on i386 to fix build
    https://github.com/ebassi/graphene/issues/95

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Feb 2017 10:21:47 -0500

graphene (1.5.4-0ubuntu1) zesty; urgency=medium

  * Initial release. (LP: #1656631)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 15 Jan 2017 04:51:34 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: graphene
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools,
               gtk-doc-tools,
               lcov <!nocheck>,
#               ltp <!nocheck>,
               libglib2.0-dev,
               libgirepository1.0-dev,
               gobject-introspection,
               pkg-config,
               python3,
Standards-Version: 3.9.8
Homepage: https://ebassi.github.io/graphene/

Package: libgraphene-1.0-0
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: library of graphic data types
 Graphene provides a small set of mathematical types needed to implement
 graphic libraries that deal with 2D and 3D transformations and projections.
 .
 This library provides types and their relative API; it does not deal with
 windowing system surfaces, drawing, scene graphs, or input. 

Package: libgraphene-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgraphene-1.0-0 (= ${binary:Version}),
         gir1.2-graphene-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgirepository1.0-dev,
Suggests: libgraphene-doc
Description: library of graphic data types (development files)
 Graphene provides a small set of mathematical types needed to implement
 graphic libraries that deal with 2D and 3D transformations and projections.
 .
 This library provides types and their relative API; it does not deal with
 windowing system surfaces, drawing, scene graphs, or input. 
 .
 This package contains the header files required for developing software that
 uses libgraphene.

Package: libgraphene-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library of graphic data types (documentation)
 Graphene provides a small set of mathematical types needed to implement
 graphic libraries that deal with 2D and 3D transformations and projections.
 .
 This library provides types and their relative API; it does not deal with
 windowing system surfaces, drawing, scene graphs, or input. 
 .
 This package contains the API documentation.

Package: gir1.2-graphene-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: library of graphic data types (introspection files)
 Graphene provides a small set of mathematical types needed to implement
 graphic libraries that deal with 2D and 3D transformations and projections.
 .
 This library provides types and their relative API; it does not deal with
 windowing system surfaces, drawing, scene graphs, or input. 
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,--as-needed

# https://github.com/ebassi/graphene/issues/95
# https://github.com/ebassi/graphene/issues/97
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
SSE2 = --disable-sse2
else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
NEON = --disable-arm-neon
endif

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc $(SSE2) $(NEON)

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## graphene 1.6.0

=== debian/changelog ===
graphene (1.6.0-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Switch to meson
  * debian/libgraphene-1.0-0.symbols: Add new symbol
  * Add libgraphene-tests package

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2017 17:28:04 -0500

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,13 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 10),
                gnome-pkg-tools,
+               gobject-introspection,
                gtk-doc-tools,
                lcov <!nocheck>,
 #               ltp <!nocheck>,
                libglib2.0-dev,
                libgirepository1.0-dev,
-               gobject-introspection,
+               meson (>= 0.38),
                pkg-config,
                python3,
 Standards-Version: 3.9.8
@@ -29,7 +30,7 @@
  graphic libraries that deal with 2D and 3D transformations and projections.
  .
  This library provides types and their relative API; it does not deal with
- windowing system surfaces, drawing, scene graphs, or input. 
+ windowing system surfaces, drawing, scene graphs, or input.
 
 Package: libgraphene-dev
 Section: libdevel
@@ -46,7 +47,7 @@
  graphic libraries that deal with 2D and 3D transformations and projections.
  .
  This library provides types and their relative API; it does not deal with
- windowing system surfaces, drawing, scene graphs, or input. 
+ windowing system surfaces, drawing, scene graphs, or input.
  .
  This package contains the header files required for developing software that
  uses libgraphene.
@@ -61,9 +62,26 @@
  graphic libraries that deal with 2D and 3D transformations and projections.
  .
  This library provides types and their relative API; it does not deal with
- windowing system surfaces, drawing, scene graphs, or input. 
+ windowing system surfaces, drawing, scene graphs, or input.
  .
  This package contains the API documentation.
+
+Package: libgraphene-tests
+Architecture: any
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         gjs,
+         gir1.2-gtk-3.0,
+         at-spi2-core
+Description: library of graphic data types (installed tests)
+ Graphene provides a small set of mathematical types needed to implement
+ graphic libraries that deal with 2D and 3D transformations and projections.
+ .
+ This library provides types and their relative API; it does not deal with
+ windowing system surfaces, drawing, scene graphs, or input.
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.
 
 Package: gir1.2-graphene-1.0
 Section: introspection
@@ -76,7 +94,7 @@
  graphic libraries that deal with 2D and 3D transformations and projections.
  .
  This library provides types and their relative API; it does not deal with
- windowing system surfaces, drawing, scene graphs, or input. 
+ windowing system surfaces, drawing, scene graphs, or input.
  .
  This package can be used by other packages using the GIRepository format to
  generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

CONFFLAGS = --buildtype=release --prefix=/usr -Denable-gtk-doc=true

# https://github.com/ebassi/graphene/issues/95
# https://github.com/ebassi/graphene/issues/97
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
CONFFLAGS += -Denable-sse2=false
else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
CONFFLAGS +=  -Denable-arm-neon=false
endif

%:
	dh $@ --with gir,gnome --without autoreconf

override_dh_auto_clean:
	rm -rf deb-build/
	dh_clean

override_dh_auto_configure:
	mkdir deb-build
	meson $(CONFFLAGS) . deb-build

override_dh_auto_build:
	ninja -Cdeb-build -v

override_dh_auto_install:
	DESTDIR=$(CURDIR)/debian/tmp ninja -Cdeb-build -v install

override_dh_install:
	find debian/tmp -name '*.la' -delete
	#TODO: Do something useful with these
	#dh_install --fail-missing -Xusr/libexec/installed-tests/
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

=== debian/tests/control ===
Tests: build
Depends: @, @builddeps@
Restrictions: build-needed

#Tests: installed-tests
#Depends: libgraphene-tests, dbus-x11, dbus (>= 1.8), xauth, xvfb, gnome-desktop-testing
#Restrictions: allow-stderr

=== debian/watch ===
version=4
https://github.com/ebassi/graphene/releases \
	.*/archive/v?([0-9][0-9\.]*)@ARCHIVE_EXT@

## graphene 1.8.0

=== debian/changelog ===
graphene (1.8.0-1) unstable; urgency=medium

  * New upstream release
  * Switch to debhelper's meson helper
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.3
  * Drop patch, applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 22 Feb 2018 20:09:12 -0500

graphene (1.6.0-1) unstable; urgency=medium

  * Initial release. (Closes: #857504) (LP: #1656631)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 20 Jul 2017 16:07:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: graphene
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper (>= 11.1.3),
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools,
@@ -14,10 +15,11 @@
 #               ltp <!nocheck>,
                libglib2.0-dev,
                libgirepository1.0-dev,
-               meson (>= 0.38),
-               pkg-config,
-               python3,
-Standards-Version: 3.9.8
+               meson (>= 0.43.1),
+               pkg-config
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/graphene
+Vcs-Git: https://salsa.debian.org/gnome-team/graphene.git
 Homepage: https://ebassi.github.io/graphene/
 
 Package: libgraphene-1.0-0
@@ -32,7 +34,7 @@
  This library provides types and their relative API; it does not deal with
  windowing system surfaces, drawing, scene graphs, or input.
 
-Package: libgraphene-dev
+Package: libgraphene-1.0-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
@@ -66,13 +68,11 @@
  .
  This package contains the API documentation.
 
-Package: libgraphene-tests
+Package: graphene-tests
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gjs,
-         gir1.2-gtk-3.0,
-         at-spi2-core
+Suggests: gnome-desktop-testing
 Description: library of graphic data types (installed tests)
  Graphene provides a small set of mathematical types needed to implement
  graphic libraries that deal with 2D and 3D transformations and projections.

=== debian/rules ===
#!/usr/bin/make -f
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

CONFFLAGS = --libexecdir=/usr/lib -Dgtk_doc=true

# https://github.com/ebassi/graphene/issues/95
# https://github.com/ebassi/graphene/issues/97
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
CONFFLAGS += -Dsse2=false
else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
CONFFLAGS +=  -Darm_neon=false
endif

%:
	dh $@ --with gir,gnome

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/tests/control ===
Tests: installed-tests
Depends: graphene-tests, gnome-desktop-testing

=== debian/watch ===
version=4
https://github.com/ebassi/graphene/releases \
	.*/archive/v?([0-9.]+[02468]\.[0-9.]*)@ARCHIVE_EXT@

## graphene 1.8.2

=== debian/changelog ===
graphene (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 13 Aug 2018 20:31:09 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: graphene

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,8 @@
 
 CONFFLAGS = --libexecdir=/usr/lib -Dgtk_doc=true
 
-# https://github.com/ebassi/graphene/issues/95
 # https://github.com/ebassi/graphene/issues/97
-ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
-CONFFLAGS += -Dsse2=false
-else ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
+ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
 CONFFLAGS +=  -Darm_neon=false
 endif

## graphene 1.8.4

=== debian/changelog ===
graphene (1.8.4-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum meson to 0.48.0
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Feb 2019 15:22:01 -0500

graphene (1.8.2-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 19:52:15 -0500

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,15 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 11.1.3),
-               gnome-pkg-tools,
-               gobject-introspection,
+Build-Depends: debhelper (>= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                gtk-doc-tools,
-               lcov <!nocheck>,
-#               ltp <!nocheck>,
                libglib2.0-dev,
                libgirepository1.0-dev,
-               meson (>= 0.43.1),
+               meson (>= 0.48.0),
                pkg-config
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/graphene
 Vcs-Git: https://salsa.debian.org/gnome-team/graphene.git
 Homepage: https://ebassi.github.io/graphene/

## graphene 1.10.0

=== meson_options.txt ===
--- 
+++ 
@@ -19,6 +19,6 @@
 option('tests', type: 'boolean',
        value: true,
        description: 'Build the test suite (requires GObject)')
-option('benchmarks', type: 'boolean',
+option('installed_tests', type: 'boolean',
        value: true,
-       description: 'Build the benchmarks suite (requires GObject)')
+       description: 'Install tests')

=== subprojects/mutest/meson_options.txt ===
option('static',
  type: 'boolean',
  value: false,
  description: 'Build muTest as a static library')

=== debian/changelog ===
graphene (1.10.0-1) unstable; urgency=medium

  * Team upload
  * New upstream stable release
    - d/libgraphene-1.0-0.symbols: Update
    - d/copyright: Update
  * d/watch: Only watch for stable releases
  * Set Rules-Requires-Root to no
  * Upload to unstable
    - d/gbp.conf: Switch branch to debian/master

 -- Simon McVittie <smcv@debian.org>  Sun, 29 Sep 2019 16:39:22 +0100

graphene (1.9.6-1) experimental; urgency=medium

  * New upstream release
  * debian/libgraphene-1.0-0.symbols:
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 16:29:24 +0200

graphene (1.9.4-1) experimental; urgency=medium

  * Team upload
  * Branch for experimental
  * New upstream development release
    - d/copyright: Update
    - d/copyright: Exclude markdeep.js from bundled mutest subproject
    - Build using bundled mutest subproject for now (ITP: #931595)
  * Use debhelper-compat 12
  * d/tests/installed-tests: Use AUTOPKGTEST_TMP instead of deprecated ADTTMP
  * d/tests/installed-tests: Mark as executable
  * d/tests/build: Add a simple build test
  * Standards-Version: 4.4.0 (no changes required)
  * d/tests/introspection: Add a simple test for GObject-Introspection
  * d/copyright: Add copyright information for debian/
  * Create symlinks to gtk-doc in /usr/share/doc/libgraphene-doc/html
    and /usr/share/doc/libgraphene-1.0-dev/html

 -- Simon McVittie <smcv@debian.org>  Thu, 18 Jul 2019 00:34:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
--include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 CONFFLAGS = --libexecdir=/usr/lib -Dgtk_doc=true
 
@@ -12,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with gir,gnome
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFFLAGS)

=== debian/watch ===
version=4
https://github.com/ebassi/graphene/releases \
	.*/graphene-(\d+\.\d*[02468]\..*)@ARCHIVE_EXT@

## graphene 1.10.2

=== debian/changelog ===
graphene (1.10.2-1) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/test/build:
    - Use the correct compiler for proposed autopkgtest cross-testing
      support

  [ Laurent Bigonville ]
  * New upstream release
  * debian/control.in: Follow the master branch and not the experimental one
  * Move the installed tests in /usr/libexec/installed-tests/
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * Mark libgraphene-doc with Build-Profiles: <!nodoc> and move gtk-doc-tools
    to BDI

 -- Laurent Bigonville <bigon@debian.org>  Mon, 29 Jun 2020 18:03:21 +0200

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 12),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools,
                libglib2.0-dev,
                libgirepository1.0-dev,
-               meson (>= 0.48.0),
+               meson (>= 0.50.1),
                pkg-config
-Standards-Version: 4.3.0
+Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/graphene
 Vcs-Git: https://salsa.debian.org/gnome-team/graphene.git
 Homepage: https://ebassi.github.io/graphene/
@@ -57,6 +58,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
 Description: library of graphic data types (documentation)
  Graphene provides a small set of mathematical types needed to implement
  graphic libraries that deal with 2D and 3D transformations and projections.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,12 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
-CONFFLAGS = --libexecdir=/usr/lib -Dgtk_doc=true
+CONFFLAGS =
+ifneq (,$(filter libgraphene-doc,$(shell dh_listpackages)))
+  CONFFLAGS+=-Dgtk_doc=true
+else
+  CONFFLAGS+=-Dgtk_doc=false
+endif
 
 # https://github.com/ebassi/graphene/issues/97
 ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))

## graphene 1.10.4%2Bdfsg1

=== debian/watch ===
version=4
opts="repack,dversionmangle=s/[~+]dfsg[0-9]*//g,repacksuffix=+dfsg1" \
https://github.com/ebassi/graphene/releases \
	.*/graphene-(\d+\.\d*[02468]\..*)@ARCHIVE_EXT@

## graphene 1.10.4+dfsg1

=== debian/changelog ===
graphene (1.10.4+dfsg1-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
    - Disable SSE on i386. It requires a larger struct alignment which is
      not always achieved when graphene types are used in GTK4, and perhaps
      other graphene users.
    - Fix graphene_box_intersection() logic
    - Drop obsolete CI scripts
    - SSE support on MSVC (not relevant to Debian)
  * d/copyright: Exclude one more minified JavaScript file from documentation
  * d/rules: Disable NEON based on host architecture, not build architecture.
    The build architecture is not relevant to the code we're generating.
  * d/rules: Explicitly disable SSE on any-i386.
    Debian's baseline is i686 minus one instruction, so libraries shouldn't
    require MMX or SSE. Upstream now disables SSE on any-i386 anyway, but
    even if they resolve the alignment issues, we should still disable it
    for Debian until our baseline is increased.
  * d/rules: Explicitly enable GObject-Introspection
  * d/watch: Allow for [+~]dfsg[0-9]* suffix

  [ Debian Janitor ]
  * libgraphene-1.0-dev: Drop Multi-Arch: same.
    The content of /usr/share/gir-1.0/Graphene-1.0.gir differs between
    architectures. This means it should really be in /usr/lib, but
    gobject-introspection doesn't currently have an architecture-dependent
    directory in its search path, and adding one will come with a regression
    risk that is not appropriate at this stage of the freeze.

 -- Simon McVittie <smcv@debian.org>  Wed, 10 Feb 2021 09:41:25 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                pkg-config
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/gnome-team/graphene
 Vcs-Git: https://salsa.debian.org/gnome-team/graphene.git
 Homepage: https://ebassi.github.io/graphene/
@@ -36,7 +36,6 @@
 Package: libgraphene-1.0-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: ${misc:Depends},
          libgraphene-1.0-0 (= ${binary:Version}),
          gir1.2-graphene-1.0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
-CONFFLAGS =
+CONFFLAGS = \
+	-Dintrospection=enabled \
+	$(NULL)
+
 ifneq (,$(filter libgraphene-doc,$(shell dh_listpackages)))
   CONFFLAGS+=-Dgtk_doc=true
 else
@@ -11,8 +14,13 @@
 endif
 
 # https://github.com/ebassi/graphene/issues/97
-ifneq (,$(filter $(DEB_BUILD_ARCH),armhf))
+ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
 CONFFLAGS +=  -Darm_neon=false
+endif
+
+# As of 2021, Debian's i386 baseline has no MMX or SSE
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386))
+CONFFLAGS += -Dsse2=false
 endif
 
 %:

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libgraphene-1.0-dev, pkg-config

Tests: installed-tests
Depends: graphene-tests, gnome-desktop-testing

Tests: introspection
Restrictions: allow-stderr, superficial
Depends: gir1.2-graphene-1.0, python3-gi

## graphene 1.10.8

=== debian/changelog ===
graphene (1.10.8-5) unstable; urgency=medium

  [ Simon McVittie ]
  * d/salsa-ci.yml: Add
  * d/upstream/metadata: Add
  * Standards-Version: 4.7.0 (no changes required)

  [ Jeremy Bícha ]
  * Run wrap-and-sort

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 Jan 2025 17:02:46 -0500

graphene (1.10.8-4) unstable; urgency=medium

  * Team upload
  * d/control: Make libgraphene-1.0-dev Multi-Arch: same

 -- Simon McVittie <smcv@debian.org>  Fri, 13 Sep 2024 11:07:56 +0100

graphene (1.10.8-3) unstable; urgency=medium

  * Team upload
  * d/control: Remove unnecessary -dev dependency on libgirepository1.0-dev.
    debian/tests/build demonstrates that it isn't necessary, and a
    runtime dependency on that particular package becomes problematic when
    converting gobject-introspection to make cross-compiling possible.
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/control, d/rules: Allow cross-compilation of GIR XML and typelib.
    For cross-compilation, this requires a version of
    gobject-introspection that is currently only in experimental. For
    native builds, the version in testing is sufficient.
  * d/control, d/rules: Use dh-python3 to make graphene-tests depend
    on python3

 -- Simon McVittie <smcv@debian.org>  Tue, 02 Jan 2024 10:17:07 +0000

graphene (1.10.8-2) unstable; urgency=medium

  * Team upload

  [ Amin Bandali ]
  * Change packaging branch to debian/latest

  [ Simon McVittie ]
  * d/control: Stop generating from a template.
    We don't use any of the other dh-sequence-gnome features (there are no
    libtool archives, and we don't use the gnome:Foo family of substvars)
    so drop the build-dependency on dh-sequence-gnome.
  * d/control: libgraphene-1.0-dev Provides gir1.2-graphene-1.0-dev.
    Adding versioned Provides on gir1.2-*-dev corresponding to each GIR XML
    file is a small step towards being able to exclude GObject-Introspection
    with a build-profile when cross-compiling.
    Helps: #1030223
  * Remove version constraints unnecessary since bullseye
  * Remove empty debian/patches/series
  * Update standards version to 4.6.2, no changes needed

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Nov 2023 23:29:51 +0000

graphene (1.10.8-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Mar 2022 15:07:44 -0400

graphene (1.10.6+dfsg1-2) unstable; urgency=medium

  * Cherry-pick patch to fix install of new installed test
  * debian/tests/control: Add dependencies for additional installed test

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 25 Sep 2021 18:10:43 -0400

graphene (1.10.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * debian/rules: Clean up a bit

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 22 Sep 2021 20:22:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: graphene
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
+           Laurent Bigonville <bigon@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
+               dh-sequence-python3,
+               gir1.2-gobject-2.0-dev,
+               gobject-introspection,
+               gobject-introspection (>= 1.78.1-9~) <cross>,
                libglib2.0-dev,
-               libgirepository1.0-dev,
-               meson (>= 0.50.1),
-               pkg-config
+               meson,
+               pkgconf
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/graphene
 Vcs-Git: https://salsa.debian.org/gnome-team/graphene.git
 Homepage: https://ebassi.github.io/graphene/
 
 Package: libgraphene-1.0-0
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: library of graphic data types
  Graphene provides a small set of mathematical types needed to implement
@@ -36,11 +34,13 @@
 Package: libgraphene-1.0-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends},
+Multi-Arch: same
+Depends: gir1.2-graphene-1.0 (= ${binary:Version}),
+         libglib2.0-dev,
          libgraphene-1.0-0 (= ${binary:Version}),
-         gir1.2-graphene-1.0 (= ${binary:Version}),
-         libglib2.0-dev,
-         libgirepository1.0-dev,
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Suggests: libgraphene-doc
 Description: library of graphic data types (development files)
  Graphene provides a small set of mathematical types needed to implement
@@ -69,8 +69,7 @@
 
 Package: graphene-tests
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Suggests: gnome-desktop-testing
 Description: library of graphic data types (installed tests)
  Graphene provides a small set of mathematical types needed to implement
@@ -86,8 +85,7 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: library of graphic data types (introspection files)
  Graphene provides a small set of mathematical types needed to implement
  graphic libraries that deal with 2D and 3D transformations and projections.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CONFFLAGS = \
	-Dintrospection=enabled \
	$(NULL)

ifneq (,$(filter libgraphene-doc,$(shell dh_listpackages)))
  CONFFLAGS+=-Dgtk_doc=true
else
  CONFFLAGS+=-Dgtk_doc=false
endif

# https://github.com/ebassi/graphene/issues/97
# https://github.com/ebassi/graphene/issues/215
ifneq (,$(filter $(DEB_HOST_ARCH),armhf))
CONFFLAGS +=  -Darm_neon=false
endif

# As of 2021, Debian's i386 baseline has no MMX or SSE
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),i386))
CONFFLAGS += -Dsse2=false
endif

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
CONFFLAGS += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFFLAGS)

override_dh_python3:
	dh_python3 /usr/libexec/installed-tests/graphene-1.0

=== debian/tests/control ===
Tests: build
Restrictions: superficial
Depends: build-essential, libgraphene-1.0-dev, pkg-config

Tests: installed-tests
Depends: gir1.2-graphene-1.0,
         gnome-desktop-testing,
         graphene-tests,
         python3-gi,
         python3-tap

Tests: introspection
Restrictions: allow-stderr, superficial
Depends: gir1.2-graphene-1.0, python3-gi
